Skip to main content
GET
/
v1
/
contact-exclusions
/
{exclusion_id}
Get Contact Exclusion
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.topo.io/v1/contact-exclusions/{exclusion_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "email": "<string>",
  "linkedin_url": "<string>",
  "message": "<string>",
  "until": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer API key issued from Settings โ†’ Developers.

Path Parameters

exclusion_id
string<uuid>
required

ID of the exclusion.

Response

200 - application/json

Successful Response

id
string<uuid>
required

Unique identifier.

email
string | null
required

Excluded email.

linkedin_url
string | null
required

Excluded LinkedIn URL.

reason
enum<string>
required

Reason for the exclusion.

Available options:
BAD_TIMING,
BOUNCED,
COMPETITOR,
CONTACT_REFUSED,
INTERESTED,
MEETING,
OTHER,
OUT_OF_OFFICE,
UNKNOWN,
UNSUBSCRIBED,
WRONG_PERSON,
EXCLUDE_FROM_SEARCH,
EXCLUDE_FROM_CRM,
REFERRAL,
LEFT_COMPANY
message
string | null
required

Operator note.

until
string<date-time> | null
required

When the exclusion expires.

created_at
string<date-time>
required

When the exclusion was created.

updated_at
string<date-time>
required

When the exclusion last changed.